Summary: Efficient Perl bindings for the GeoIP location database
Name: perl-Geo-IP
Version: 1.51
Release: 1%{?dist}
License: GPL+ or Artistic
Group: Development/Libraries
Source0: http://cpan.metacpan.org/authors/id/M/MA/MAXMIND/Geo-IP-%{version}.tar.gz
URL: https://metacpan.org/release/Geo-IP
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
BuildRequires: GeoIP-devel
BuildRequires: perl(ExtUtils::MakeMaker)
Requires: perl(:MODULE_COMPAT_%(eval "$(%{__perl} -V:version)"; echo $version))

%{?perl_default_filter}

%description
This package contains Perl bindings for the GeoIP IP/host-name to
country/location/organization database.

This package requires Maxmind's GeoIP libraries but is often faster
than other, similar modules.

%prep
%setup -q -n Geo-IP-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" OPTIMIZE="%{optflags}"
%{__make}

%install
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
%{__chmod} -R u+w %{buildroot}/*
find %{buildroot} -type f \( -name perllocal.pod -o -name "*.bs" -o -name .packlist \) -exec %{__rm} -vf {} \;
find %{buildroot} -type d -depth -exec rmdir {} 2> /dev/null \;
find example/ -type f -exec %{__chmod} a-x {} \;

%files
%doc Changes README.md example/
%{perl_vendorarch}/Geo
%{perl_vendorarch}/auto/Geo
%{_mandir}/man3/Geo::IP*.3*

%changelog
* Wed Jun 13 2018 Simon Matter <simon.matter@invoca.ch> 1.51-1
- upgrade to 1.51

* Wed Jun 13 2018 Simon Matter <simon.matter@invoca.ch> 1.50-1
- initial package
